select spFuncion_NombreMes('03')

DROP FUNCTION IF EXISTS spFuncion_NombreMes;
CREATE FUNCTION spFuncion_NombreMes (
	varMes  varchar(2)
	) 
RETURNS varchar(20)
BEGIN
  declare varMesNombre varchar(20);
  
  if varMes = '01' then
    set varMesNombre = 'ENERO';
	elseif varMes = '02' then
    set varMesNombre = 'FEBRERO';
	elseif varMes = '03' then
    set varMesNombre = 'MARZO';
  elseif varMes = '04' then
    set varMesNombre = 'ABRIL';
  elseif varMes = '05' then
    set varMesNombre = 'MAYO';
  elseif varMes = '06' then
    set varMesNombre = 'JUNIO';
  elseif varMes = '07' then
    set varMesNombre = 'JULIO';
  elseif varMes = '08' then
    set varMesNombre = 'AGOSTO';
  elseif varMes = '09' then
    set varMesNombre = 'SETIEMBRE';
  elseif varMes = '10' then
    set varMesNombre = 'OCTUBRE';
  elseif varMes = '11' then
    set varMesNombre = 'NOVIEMBRE';
  elseif varMes = '12' then
    set varMesNombre = 'DICIEMBRE';  
  end if;
	return varMesNombre; 
end;
